std::chrono::weekday_last::ok(3)

NAME
std::chrono::weekday_last::ok - std::chrono::weekday_last::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if the weekday object stored in *this is valid.

Return value
   weekday().ok()

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     std::cout << std::boolalpha;
     auto wdl {std::chrono::Tuesday[std::chrono::last]};
     std::cout << (wdl.ok()) << ' ';
     wdl = {std::chrono::weekday(42)[std::chrono::last]};
     std::cout << (wdl.ok()) << '\n';
 }

Output:
 true false